Skip to main content
GET
Query Sales Order Line Item File Data

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The ID of the sales order that the file belongs to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

The ID of the sales order line item that the file belongs to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemFileId
string<uuid>
required

The unique identifier of the sales order line item file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested file data.

The response is of type string<byte>.